﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity.Infrastructure;
using System.Data.Entity.Validation;
using System.Diagnostics.Contracts;
using System.Linq.Expressions;

namespace Ennf.DbEntityAdapter
{
    internal class DbFileEntityEntryAdapter<TEntity> : IDbEntityEntry<TEntity> where TEntity : class
    {
        private readonly TEntity _entity;

        public DbFileEntityEntryAdapter(TEntity entity)
        {
            Contract.Ensures(State == EntityState.Unchanged);
            _entity = entity;
            State = EntityState.Unchanged;
        }

        #region IDbEntityEntry<TEntity> Members

        public DbPropertyValues CurrentValues
        {
            get
            {
                Contract.Ensures(false);
                throw new NotImplementedException();
            }
        }

        public TEntity Entity
        {
            get { return _entity; }
        }

        public DbPropertyValues OriginalValues
        {
            get
            {
                Contract.Ensures(false);
                throw new NotImplementedException();
            }
        }

        public EntityState State { get; set; }

        public IDbCollectionEntry<TEntity, TElement> Collection<TElement>(
            Expression<Func<TEntity, ICollection<TElement>>> navigationProperty) where TElement : class
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public IDbCollectionEntry<TEntity, TElement> Collection<TElement>(string navigationProperty)
            where TElement : class
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbCollectionEntry Collection(string navigationProperty)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbComplexPropertyEntry<TEntity, TComplexProperty> ComplexProperty<TComplexProperty>(
            Expression<Func<TEntity, TComplexProperty>> property)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbComplexPropertyEntry<TEntity, TComplexProperty> ComplexProperty<TComplexProperty>(string propertyName)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbComplexPropertyEntry ComplexProperty(string propertyName)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public bool Equals(DbEntityEntry<TEntity> other)
        {
            Contract.Requires<ArgumentNullException>(other != null);
            return other.Entity.Equals(this);
        }

        public DbPropertyValues GetDatabaseValues()
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbEntityValidationResult GetValidationResult()
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbMemberEntry Member(string propertyName)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public IDbMemberEntry<TEntity, TMember> Member<TMember>(string propertyName)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbPropertyEntry<TEntity, TProperty> Property<TProperty>(Expression<Func<TEntity, TProperty>> property)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbPropertyEntry<TEntity, TProperty> Property<TProperty>(string propertyName)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbPropertyEntry Property(string propertyName)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbReferenceEntry<TEntity, TProperty> Reference<TProperty>(
            Expression<Func<TEntity, TProperty>> navigationProperty) where TProperty : class
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbReferenceEntry Reference(string navigationProperty)
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public DbReferenceEntry<TEntity, TProperty> Reference<TProperty>(string navigationProperty)
            where TProperty : class
        {
            Contract.Ensures(false);
            throw new NotImplementedException();
        }

        public void Reload()
        {
        }

        #endregion
    }
}
