﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using System.Collections.Generic;
using System.Linq;

namespace Ennf.DbEntityAdapter
{
    /// <summary>
    /// Another Adapter Interface to wrap the Entity Framework and make NUnit Testable
    /// </summary>
    /// <typeparam name="TEntity"></typeparam>
    /// <typeparam name="TElement"></typeparam>
    public interface IDbCollectionEntry<TEntity, TElement> : IDbMemberEntry<TEntity, ICollection<TElement>>
        where TEntity : class
    {
        bool IsLoaded { get; }
        void Load();
        IQueryable<TElement> Query();
    }
}