﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using System.Diagnostics.Contracts;
using Ennf.Properties;

namespace Ennf.Functions.InitializationFunctions
{
    [ContractVerification(false)]
    public class UnitFunction : IInitializationFunction,IParentNetwork
    {

        public string Name
        {
            get { return Resources.UnitInitilizationFunction; }
        }

        public double Calculate(params double[] inputValue)
        {
            return 1.0;
        }

        #region IInitializationFunction interface
        public double Minimum { get; set; }
        public double Maximum { get; set; }
        #endregion

        #region IParentNetwork interface
        public INetwork ParentNetwork { get; private set; }
        INetwork IParentNetwork.ParentNetwork { set { ParentNetwork = value; } }
        #endregion
    }
}
