﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

namespace Ennf
{
    /// <summary>
    /// A connection between two nodes
    /// </summary>
    public interface IConnection
    {
        /// <summary>
        /// The node to provide the output to
        /// </summary>
        INode OutputNode { get; set; }

        /// <summary>
        /// The node to get the input from
        /// </summary>
        INode InputNode { get; set; }

        /// <summary>
        /// The weight of the connection
        /// </summary>
        double Weight { get; }
    }
}