﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Ennf
{
    /// <summary>
    /// Every network requires an adapter to feed the input. The input of one DataSet is accessed via Enumerator
    /// </summary>
    public interface IInput : ISerializable, IEnumerator<double>
    {
        /// <summary>
        /// Moves to the next DataSet in the input
        /// </summary>
        /// <returns>If there is a next DataSet in the input</returns>
        bool MoveNextInput();
        /// <summary>
        /// Goes back to the first DataSet and there to the beginning
        /// </summary>
        void ResetInput();
    }
}