﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */
using System;
using Ennf.Properties;

namespace Ennf.NetworkModels.BasicFeedForward
{
    /// <summary>
    /// This partial class implements the remaining methods of the database as well as the constructors
    /// which should be alternatives to the T4-generated class
    /// </summary>
    public partial class BasicFeedForwardPersistenceModelDatabase
    {
        public BasicFeedForwardPersistenceModelDatabase(string connectionString):base(connectionString)
        {
            
        }

        #region Implementation of IPersistenceModel

        public void LoadFile(string fileName)
        {
            throw new InvalidOperationException(Resources.DatabaseCannotLoadFile);
        }

        public void ConnectDatabase(string connectionString)
        {
            throw new InvalidOperationException(Resources.PersistenceModelSupportsConstructorOnly);
        }

        public void Close()
        {
            Dispose(true);
        }

        #endregion
    }
}
