﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */
using System;
using System.Collections.ObjectModel;
using System.Diagnostics.Contracts;

namespace Ennf.Utilities
{
    [ContractVerification(false)]
    public class NullNetworkModel : INetworkModel
    {
        #region Implementation of INetworkModel

        public INetwork CreateNetwork()
        {
            return null;
        }

        public INetwork LoadNetwork(int identifier)
        {
            return null;
        }

        public Collection<INetwork> LoadNetwork()
        {
            return null;
        }

        public void Save()
        {
            
        }

        public void DeleteNetwork(INetwork deletee)
        {
            
        }

        public string Name
        {
            get { return "Null Netork Model"; }
        }

        public IPersistenceModel PersistenceModel
        {
            get { return null; }
            set { throw new NotImplementedException(); }
        }

        #endregion
    }
}
