﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using EnnfDesigner.BasicFeedForward.ViewModels;
using EnnfDesigner.Common.RegionControls;
using EnnfDesigner.Common.ShellServices;
using Fluent;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;

namespace EnnfDesigner.BasicFeedForward.Views
{
    /// <summary>
    /// Interaction logic for NetworkEditorView.xaml
    /// </summary>
    public partial class NetworkEditorView : UserControl, INetworkConsole, IConfirmNavigationRequest
    {
        private readonly IUnityContainer _container;
        private RibbonGroupBox _menu;

        public NetworkEditorView(IUnityContainer container, TrainingConsoleViewModel model)
        {
            InitializeComponent();
        }

        public TrainingConsoleViewModel Model
        {
            set { DataContext = value; }
            get { return DataContext as TrainingConsoleViewModel; }
        }

        private void RegisterMenu()
        {
            IShellService menuService = _container.Resolve<IShellService>();
            _menu = menuService.LoadViewMenu("/views/trainingconsolemenu.xaml", Model);
        }

        #region Implementation of INavigationAware

        public void ConfirmNavigationRequest(NavigationContext navigationContext, Action<bool> continuationCallback)
        {
            continuationCallback(!Model.WorkInProgress);
        }

        public bool IsNavigationTarget(NavigationContext navigationContext)
        {
            return true;
        }

        public void OnNavigatedFrom(NavigationContext navigationContext)
        {
            IShellService menuService = _container.Resolve<IShellService>();
            menuService.UnloadViewMenu(_menu);
            _menu = null;
        }

        public void OnNavigatedTo(NavigationContext navigationContext)
        {
            RegisterMenu();
        }

        #endregion
    }
}
