﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using EnnfDesigner.BasicFeedForward.ViewModels;
using Fluent;
using Microsoft.Win32;

namespace EnnfDesigner.BasicFeedForward.Views
{
    /// <summary>
    /// Interaction logic for TrainingConsoleMenu.xaml
    /// </summary>
    public partial class TrainingConsoleMenu : RibbonGroupBox
    {
        private void LoadTrainingDataButtonClick(object sender, System.Windows.RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog { DefaultExt = ".csv", Filter = "Training File (.csv)|*.csv" };
            if (ofd.ShowDialog() == true && Model != null)
            {
                Model.LoadTrainingFile.Execute(ofd.FileName);
            }
        }

        private TrainingConsoleViewModel Model
        {
            get { return DataContext as TrainingConsoleViewModel; }
        }

        private void LoadTargetDataButtonClick(object sender, System.Windows.RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog { DefaultExt = ".csv", Filter = "Target File (.csv)|*.csv" };
            if (ofd.ShowDialog() == true && Model != null)
            {
                Model.LoadTargetFile.Execute(ofd.FileName);
            }
        }
    }
}
