﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */
using Fluent;

namespace EnnfDesigner.Common.ShellServices
{
    /// <summary>
    /// Status of the application
    /// </summary>
    public enum ShellStatus {Ready,Processing}
    /// <summary>
    /// Interface to allow the Plug-in Modules to change details of the Shell
    /// </summary>
    public interface IShellService
    {
        void RegisterNavigation(RibbonGroupBox navItem);
        void DeregisterNavigation(RibbonGroupBox navItem);
        void UpdateStatus(ShellStatus status);
    }
}
