﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */
using System.Windows;
using Fluent;

namespace EnnfDesigner.Common.ShellServices
{
    public class NavigationOrder : RibbonGroupBox
    {
        private const string PropertyName = "Order";
        public NavigationOrder(){}

        public static void SetOrder(RibbonGroupBox element, int order)
        {
            element.SetValue(OrderProperty, order);
        }

        public static int GetOrder(RibbonGroupBox element)
        {
            return (int) element.GetValue(OrderProperty);
        }

        public static readonly DependencyProperty OrderProperty = DependencyProperty.Register(
            PropertyName, typeof (int), typeof (NavigationOrder), new PropertyMetadata(1),ValidateValueCallback);

        private static bool ValidateValueCallback(object value)
        {
            int newValue = (int) value;
            return (newValue > 0);
        }
    }
}
