﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using Ennf;
using EnnfTest.Properties;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Unity.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace EnnfTest.IntegrationTests
{
    [TestClass]
    public class BasicFileModelOperations
    {
        private static Container _ennfContainer;
        private static IUnityContainer _container;

        [ClassInitialize]
        public static void MyClassInitialize(TestContext testContext)
        {
            _container = new UnityContainer();
            _container.LoadConfiguration("BasicFeedForwardIntegrationModel");
            
            _ennfContainer = new Container(_container);
        }

        [TestMethod]
        public void TestLoadFileModel()
        {
            _ennfContainer.LoadFile(Resources.TestXmlFile);
        }
    }
}
