﻿/*
 * ennf - Eddie's Neural Network Framework
 * Copyright 2011 Eduard Ralph
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

using System;
using System.Collections.Generic;
using System.Data.Entity.Validation;
using System.Linq;
using Ennf.DbEntityAdapter;

namespace EnnfTest.NetworkModelsFixture
{
    internal class DbCollectionEntryTestFixture<TEntity, TElement> : IDbCollectionEntry<TEntity, TElement>
        where TEntity : class
    {
        private readonly IDbEntityEntry<TEntity> _Entity;

        private bool _IsLoaded;

        private DbCollectionEntryTestFixture(IDbEntityEntry<TEntity> entity)
        {
            _Entity = entity;
        }

        #region IDbCollectionEntry<TEntity,TElement> Members

        public bool IsLoaded
        {
            get { return _IsLoaded; }
        }

        public void Load()
        {
            _IsLoaded = true;
        }

        public IQueryable<TElement> Query()
        {
            throw new NotImplementedException();
        }

        public ICollection<TElement> CurrentValue
        {
            get { throw new NotImplementedException(); }
            set { throw new NotImplementedException(); }
        }

        public IDbEntityEntry<TEntity> EntityEntry
        {
            get { return _Entity; }
        }

        public string Name
        {
            get { throw new NotImplementedException(); }
        }

        public ICollection<DbValidationError> GetValidationErrors()
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}